package cn.yw.ywuserrolerelation.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("ywuserrolerelationDao")
public class YwuserrolerelationDao  extends SqlMapClientDaoSupport{

	@Autowired 
    private SqlMapClient sqlMapClient;  
	
	@PostConstruct          
    public  void initSqlMapClient(){  
     super.setSqlMapClient(sqlMapClient);      
    }

	/**
	 * 增加记录
	 */
	public void insert_Ywuserrolerelation(Map map) throws SQLException{
		this.getSqlMapClientTemplate().insert("insert_Ywuserrolerelation",map);
	}
	
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywuserrolerelation(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Ywuserrolerelation",map);
	}
	
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywuserrolerelation(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Ywuserrolerelation",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywuserrolerelation(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Ywuserrolerelation",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Ywuserrolerelation(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Ywuserrolerelation",map);
	}
	public List<Map> getALlUserByPower() throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("getALlUserByPower",null);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Ywuserrolerelation(Map map) throws SQLException{
		return (Map) this.getSqlMapClientTemplate().queryForObject("query_Ywuserrolerelation",map);
	}

}
